class PdaPatrolTimeList {
  int? code;
  String? msg;
  List<Data>? data;

  PdaPatrolTimeList({this.code, this.msg, this.data});

  PdaPatrolTimeList.fromJson(Map<String, dynamic> json) {
    code = json['code'];
    msg = json['msg'];
    if (json['data'] != null) {
      data = <Data>[];
      json['data'].forEach((v) {
        data!.add(new Data.fromJson(v));
      });
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['code'] = this.code;
    data['msg'] = this.msg;
    if (this.data != null) {
      data['data'] = this.data!.map((v) => v.toJson()).toList();
    }
    return data;
  }
}

class Data {
  String? dateTime;
  List<DataList>? dataList;
  String? platformid;
  String? platformName;

  Data({this.dateTime, this.dataList, this.platformid, this.platformName});

  Data.fromJson(Map<String, dynamic> json) {
    dateTime = json['dateTime'];
    if (json['dataList'] != null) {
      dataList = <DataList>[];
      json['dataList'].forEach((v) {
        dataList!.add(new DataList.fromJson(v));
      });
    }
    platformid = json['platformid'];
    platformName = json['platformName'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['dateTime'] = this.dateTime;
    if (this.dataList != null) {
      data['dataList'] = this.dataList!.map((v) => v.toJson()).toList();
    }
    data['platformid'] = this.platformid;
    data['platformName'] = this.platformName;
    return data;
  }
}

class DataList {
  String? id;
  String? created;
  String? createTime;
  String? startTime;
  String? endTime;
  String? postName;
  String? platformId;
  String? sortd;
  int? totalNumber;
  int? finishNumber;
  String? patrolPersons;
  int? errorNumber;

  DataList(
      {this.id,
        this.created,
        this.createTime,
        this.startTime,
        this.endTime,
        this.postName,
        this.platformId,
        this.sortd,
        this.totalNumber,
        this.finishNumber,
        this.patrolPersons,
        this.errorNumber});

  DataList.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    created = json['created'];
    createTime = json['createTime'];
    startTime = json['startTime'];
    endTime = json['endTime'];
    postName = json['postName'];
    platformId = json['platformId'];
    sortd = json['sortd'];
    totalNumber = json['totalNumber'];
    finishNumber = json['finishNumber'];
    patrolPersons = json['patrolPersons'];
    errorNumber = json['errorNumber'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['id'] = this.id;
    data['created'] = this.created;
    data['createTime'] = this.createTime;
    data['startTime'] = this.startTime;
    data['endTime'] = this.endTime;
    data['postName'] = this.postName;
    data['platformId'] = this.platformId;
    data['sortd'] = this.sortd;
    data['totalNumber'] = this.totalNumber;
    data['finishNumber'] = this.finishNumber;
    data['patrolPersons'] = this.patrolPersons;
    data['errorNumber'] = this.errorNumber;
    return data;
  }
}
